Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.CachingSetIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
LazyCollection<E>.CachingIterator
org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingSetIterator

All Implemented Interfaces:
  `Iterator<E>`

Direct Known Subclasses:
  `LazyCollection.UnionSetIterator`

Enclosing class:
  LazyCollection<E>

public class LazyCollection.CachingSetIterator extends LazyCollection<E>.CachingIterator
`LazyCollection.ReadOnlyIterator` that removes duplicate values from the underlying collection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected E`
`next`
`protected boolean`
`nextSet`
`protected final Set<E>`
`returnedValues`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

## Constructor Summary

Constructors
Constructor
Description
`CachingSetIterator()`
Creates a new `LazyCollection<E>.CachingSetIterator`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`E`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### returnedValues

protected final Set<E> returnedValues

### next

protected E next

### nextSet

protected boolean nextSet

## Constructor Details

### CachingSetIterator

public CachingSetIterator()
Creates a new `LazyCollection<E>.CachingSetIterator`.

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`
Overrides:
  `hasNext` in class `LazyCollection<E>.CachingIterator`

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`
Overrides:
  `next` in class `LazyCollection<E>.CachingIterator`